<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-notification-heading" jhiTranslate="restaurantApplicationApp.notification.home.createOrEditLabel">Create or edit a Notification</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!notification.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="notification.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.date" for="field_date">Date</label>
                    <div class="d-flex">
                        <input id="field_date" type="datetime-local" class="form-control" name="date" [(ngModel)]="date" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.date?.dirty && editForm.controls.date?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.date?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.date?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.details" for="field_details">Details</label>
                    <input type="text" class="form-control" name="details" id="field_details"
                        [(ngModel)]="notification.details" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.sentDate" for="field_sentDate">Sent Date</label>
                    <div class="d-flex">
                        <input id="field_sentDate" type="datetime-local" class="form-control" name="sentDate" [(ngModel)]="sentDate" placeholder="YYYY-MM-DD HH:mm"
                        required/>
                    </div>
                    <div [hidden]="!(editForm.controls.sentDate?.dirty && editForm.controls.sentDate?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.sentDate?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.sentDate?.errors?.ZonedDateTimelocal" jhiTranslate="entity.validation.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.format" for="field_format">Format</label>
                    <select class="form-control" name="format" [(ngModel)]="notification.format" id="field_format"  required>
                        <option value="EMAIL">{{'restaurantApplicationApp.NotificationType.EMAIL' | translate}}</option>
                        <option value="SMS">{{'restaurantApplicationApp.NotificationType.SMS' | translate}}</option>
                        <option value="PARCEL">{{'restaurantApplicationApp.NotificationType.PARCEL' | translate}}</option>
                    </select>
                    <div [hidden]="!(editForm.controls.format?.dirty && editForm.controls.format?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.format?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.userId" for="field_userId">User Id</label>
                    <input type="number" class="form-control" name="userId" id="field_userId"
                        [(ngModel)]="notification.userId" required/>
                    <div [hidden]="!(editForm.controls.userId?.dirty && editForm.controls.userId?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.userId?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.userId?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.notification.productId" for="field_productId">Product Id</label>
                    <input type="number" class="form-control" name="productId" id="field_productId"
                        [(ngModel)]="notification.productId" required/>
                    <div [hidden]="!(editForm.controls.productId?.dirty && editForm.controls.productId?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.productId?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.productId?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
